| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Attributes | List of all members
ob_multi_device_sync_config Struct Reference

The synchronization configuration of the device. More...

`#include <ObTypes.h>`

## Public Attributes
ob_multi_device_sync_mode | syncMode
| The sync mode of the device.
int | depthDelayUs
| The delay time of the depth image capture after receiving the capture command or trigger signal in microseconds.
int | colorDelayUs
| The delay time of the color image capture after receiving the capture command or trigger signal in microseconds.
int | trigger2ImageDelayUs
| The delay time of the image capture after receiving the capture command or trigger signal in microseconds.
bool | triggerOutEnable
| Trigger signal output enable flag.
int | triggerOutDelayUs
| The delay time of the trigger signal output after receiving the capture command or trigger signal in microseconds.
int | framesPerTrigger
| The frame number of each stream after each trigger in triggering mode.

## Detailed Description

The synchronization configuration of the device.

Definition at line 1344 of file ObTypes.h.

## Member Data Documentation

## ◆ syncMode

ob_multi_device_sync_mode ob_multi_device_sync_config::syncMode

The sync mode of the device.

Definition at line 1348 of file ObTypes.h.

## ◆ depthDelayUs

int ob_multi_device_sync_config::depthDelayUs

The delay time of the depth image capture after receiving the capture command or trigger signal in microseconds.

Attention
  This parameter is only valid for some models， please refer to the product manual for details.

Definition at line 1355 of file ObTypes.h.

## ◆ colorDelayUs

int ob_multi_device_sync_config::colorDelayUs

The delay time of the color image capture after receiving the capture command or trigger signal in microseconds.

Attention
  This parameter is only valid for some models， please refer to the product manual for details.

Definition at line 1362 of file ObTypes.h.

## ◆ trigger2ImageDelayUs

int ob_multi_device_sync_config::trigger2ImageDelayUs

The delay time of the image capture after receiving the capture command or trigger signal in microseconds.

The depth and color images are captured synchronously as the product design and can not change the delay between the depth and color images.

Attention
  For Orbbec Astra 2 device, this parameter is valid only when the triggerOutDelayUs is set to 0.
  This parameter is only valid for some models to replace depthDelayUs and colorDelayUs, please refer to the product manual for details.

Definition at line 1372 of file ObTypes.h.

## ◆ triggerOutEnable

bool ob_multi_device_sync_config::triggerOutEnable

Trigger signal output enable flag.

After the trigger signal output is enabled, the trigger signal will be output when the capture command or trigger signal is received. User can adjust the delay time of the trigger signal output by triggerOutDelayUs.

Attention
  For some models, the trigger signal output is always enabled and cannot be disabled.
  If device is in the OB_MULTI_DEVICE_SYNC_MODE_FREE_RUN or OB_MULTI_DEVICE_SYNC_MODE_STANDALONE mode, the trigger signal output is always disabled. Set this parameter to true will not take effect.

Definition at line 1383 of file ObTypes.h.

## ◆ triggerOutDelayUs

int ob_multi_device_sync_config::triggerOutDelayUs

The delay time of the trigger signal output after receiving the capture command or trigger signal in microseconds.

Attention
  For Orbbec Astra 2 device, only supported -1 and 0. -1 means the trigger signal output delay is automatically adjusted by the device, 0 means the trigger signal output is disabled.

Definition at line 1391 of file ObTypes.h.

## ◆ framesPerTrigger

int ob_multi_device_sync_config::framesPerTrigger

The frame number of each stream after each trigger in triggering mode.

Attention
  This parameter is only valid when the triggering mode is set to OB_MULTI_DEVICE_SYNC_MODE_HARDWARE_TRIGGERING or OB_MULTI_DEVICE_SYNC_MODE_SOFTWARE_TRIGGERING.
  The trigger frequency multiplied by the number of frames per trigger cannot exceed the maximum frame rate of the stream profile which is set when starting the stream.

Definition at line 1401 of file ObTypes.h.

The documentation for this struct was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/h/ObTypes.h